org.apache.cassandra.dht

## Class AbstractPartitioner<T extends Token>

- java.lang.Object
- - org.apache.cassandra.dht.AbstractPartitioner<T>

- All Implemented Interfaces:
    IPartitioner<T>
  Direct Known Subclasses:
    AbstractByteOrderedPartitioner, LocalPartitioner, Murmur3Partitioner, OrderPreservingPartitioner, RandomPartitioner

      public abstract class AbstractPartitioner<T extends Token>
      extends java.lang.Object
      implements IPartitioner<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPartitioner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<R extends RingPosition> R` | `minValue(java.lang.Class<R> klass)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.dht.IPartitioner

      `convertFromDiskFormat, decorateKey, describeOwnership, getMinimumToken, getRandomToken, getToken, getTokenFactory, getTokenValidator, midpoint, preservesOrder`

- - ### Constructor Detail

    - #### AbstractPartitioner

          public AbstractPartitioner()

  - ### Method Detail

    - #### minValue

          public <R extends RingPosition> R minValue(java.lang.Class<R> klass)

      Specified by:
        `minValue` in interface `IPartitioner<T extends Token>`

Copyright © 2014 The Apache Software Foundation